SalesOS.

Orders

Order processing and fulfillment

Orders Controller_list Orders

GET
/api/orders

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

statusRequiredstring
paymentStatusRequiredstring
fulfillmentStatusRequiredstring
accountIdRequiredstring
searchRequiredstring
curl -X GET "https://www.salesos.org/api/api/orders?status=%3Cstring%3E&paymentStatus=%3Cstring%3E&fulfillmentStatus=%3Cstring%3E&accountId=%3Cstring%3E&search=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Orders Controller_create Order

POST
/api/orders

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/orders" \
  -H "Authorization: Bearer <token>"

Orders Controller_convert Quote To Order

POST
/api/orders/convert-from-quote

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://www.salesos.org/api/api/orders/convert-from-quote" \
  -H "Authorization: Bearer <token>"

Orders Controller_get Order Stats

GET
/api/orders/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/orders/stats" \
  -H "Authorization: Bearer <token>"

Orders Controller_get Order

GET
/api/orders/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/orders/<string>" \
  -H "Authorization: Bearer <token>"

Orders Controller_update Order

PATCH
/api/orders/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/orders/<string>" \
  -H "Authorization: Bearer <token>"

Orders Controller_delete Order

DELETE
/api/orders/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/orders/<string>" \
  -H "Authorization: Bearer <token>"

Orders Controller_add Line Item

POST
/api/orders/{id}/line-items

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/line-items" \
  -H "Authorization: Bearer <token>"

Orders Controller_update Line Item

PATCH
/api/orders/line-items/{lineItemId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

lineItemIdRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/orders/line-items/<string>" \
  -H "Authorization: Bearer <token>"

Orders Controller_remove Line Item

DELETE
/api/orders/line-items/{lineItemId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

lineItemIdRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/orders/line-items/<string>" \
  -H "Authorization: Bearer <token>"

Orders Controller_update Fulfillment

PATCH
/api/orders/{id}/fulfillment

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/orders/<string>/fulfillment" \
  -H "Authorization: Bearer <token>"

Orders Controller_update Payment

PATCH
/api/orders/{id}/payment

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/orders/<string>/payment" \
  -H "Authorization: Bearer <token>"

Orders Controller_cancel Order

POST
/api/orders/{id}/cancel

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/cancel" \
  -H "Authorization: Bearer <token>"

Orders Controller_get Timeline

GET
/api/orders/{id}/timeline

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/orders/<string>/timeline" \
  -H "Authorization: Bearer <token>"

Orders Controller_confirm Order

POST
/api/orders/{id}/confirm

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/confirm" \
  -H "Authorization: Bearer <token>"

Orders Controller_ship Order

POST
/api/orders/{id}/ship

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/ship" \
  -H "Authorization: Bearer <token>"

Orders Controller_deliver Order

POST
/api/orders/{id}/deliver

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/deliver" \
  -H "Authorization: Bearer <token>"

Orders Controller_clone Order

POST
/api/orders/{id}/clone

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/clone" \
  -H "Authorization: Bearer <token>"

Orders Controller_recalculate Order

POST
/api/orders/{id}/recalculate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/orders/<string>/recalculate" \
  -H "Authorization: Bearer <token>"

Orders Controller_generate Pdf

GET
/api/orders/{id}/pdf

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/orders/<string>/pdf" \
  -H "Authorization: Bearer <token>"

Orders Controller_get By Account Id

GET
/api/orders/account/{accountId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/orders/account/<string>" \
  -H "Authorization: Bearer <token>"